'use strict'
const getstage = require('../bin/get-stage.js')
const expect = require('chai').expect

let testData = [{version:'0.3.1',expectedIsRelease:true}
		,{version:'*',expectedIsRelease:true}
		,{version:'0.3.1-1',expectedIsRelease:false}
		,{version:'^0.3.1',expectedIsRelease:true}
		,{version:'~0.3.1',expectedIsRelease:true}
		,{version:'0.x',expectedIsRelease:true}
		,{version:'0.1.x-1',expectedIsRelease:true}
		,{version:'1.2.3 - 2.3.4',expectedIsRelease:true}
		,{version:'1.2.3-2.3.4',expectedIsRelease:false}
		,{version:'>1.2.3',expectedIsRelease:true}
		,{version:'>1.2.3-1',expectedIsRelease:false}
	       ]
		

describe("IsRelease",function(){
    testData.forEach(function(testRow){
	
	it(JSON.stringify(testRow.version) + " 'isRelease' should be " + testRow.expectedIsRelease,function(){
	    let errors = []
	    getstage.isRelease('dep',{'dep':testRow.version},errors);
	    let release = errors.length == 0
	    expect(release).to.be.equal(testRow.expectedIsRelease)
	});
    })
});
